set /P nombrecomponente=Indique el nombre del componente
set /P ruta=Indique la ruta de la carpeta componentes
cd %ruta%
mkdir %nombrecomponente%
cd %nombrecomponente%
rem copy /b NUL > %nombrecomponente%.php -->No sirve en batch, sólo en cmd, para crear un archivo vacío.
type NUL > %nombrecomponente%.php
type NUL > %nombrecomponente%.css
mkdir img